Anonymous Login
2019-11-15 05:37 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000612Pending RequestsProject Designerpublic2014-06-22 23:43
Reporteropto 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusnewResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000612: add new action: send notification email for all selected tasks
Descriptionadd new action: send notification email for all selected tasks

this could be done as follows:

Additional Information=== modified file 'modules/projectdesigner/do_task_bulk_aed.php'
--- old/modules/projectdesigner/do_task_bulk_aed.php 2010-06-12 18:14:39 +0000
+++ new/modules/projectdesigner/do_task_bulk_aed.php 2010-10-26 02:02:27 +0000
@@ -328,6 +328,15 @@
                     if (is_array($result)) {
                         break;
                     }
+ //Option 80 - Send Notification Email
+ } elseif ($bulk_task_other == '80') {
+ $result = $upd_task->notify('');
+ if (is_array($result)) {
+ break;
+ }
+
+
+
                //Option 99 (always at the bottom) - Delete
             } elseif ($bulk_task_other == '99') {
                $result = $upd_task->delete($AppUI);

=== modified file 'modules/projectdesigner/vw_actions.php'
--- old/modules/projectdesigner/vw_actions.php 2010-06-15 03:28:23 +0000
+++ new/modules/projectdesigner/vw_actions.php 2010-10-26 01:54:36 +0000
@@ -19,7 +19,8 @@
         '2' => $AppUI->_('Mark Tasks as Milestones'), '3' => $AppUI->_('Mark Tasks as Non Milestone'),
         '4' => $AppUI->_('Mark Tasks as Dynamic'), '5' => $AppUI->_('Mark Tasks as Non Dynamic'),
         '6' => $AppUI->_('Add Task Reminder'), '7' => $AppUI->_('Remove Task Reminder'),
- '10' => $AppUI->_('Remove Tasks Description'), '99' => $AppUI->_('Delete Tasks'));
+ '10' => $AppUI->_('Remove Tasks Description'),
+ '80' => $AppUI->_('Send Notification Email'), '99' => $AppUI->_('Delete Tasks'));
  
 //Pull all users
 $users = $perms->getPermittedUsers();
TagsNo tags attached.
Attached Files

-Relationships
related to 0000638new Pending Requests enhance task notification email 
related to 0000975closedcaseydk Pending Requests Checkbox in ProjectDesigner to Notify Assignees of Task(s) by Email 
has duplicate 0000739closedcaseydk v2.3 Release (Closed) Project designer and mail notification 
+Relationships

-Notes

~0001532

opto (manager)

relation to 638:

attention, 638 is in task moduke, this one in project designer

~0003517

opto (manager)

why not add this feature? I think it is working.

On second thought, it would be nice to be able to manually send notification emails for a bunch of tasks I deem important today. This is supplied by this fix.

All other ways to send notification need modification of the task.
+Notes

-Issue History
Date Modified Username Field Change
2010-10-26 07:02 opto New Issue
2011-01-06 23:20 caseydk Relationship added related to 0000638
2011-01-07 00:42 opto Note Added: 0001532
2011-01-08 09:08 caseydk Severity minor => feature
2011-01-08 09:08 caseydk Additional Information Updated
2011-03-09 10:07 caseydk Relationship added has duplicate 0000739
2014-06-22 15:03 caseydk Relationship added related to 0000975
2014-06-22 15:04 caseydk Category General => Project Designer
2014-06-22 15:04 caseydk Additional Information Updated View Revisions
2014-06-22 23:43 opto Note Added: 0003517
+Issue History